Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TTYGuiElement::TextBlock Struct Reference

`#include <OgreTTYGuiElement.h>`

List of all members.

## Public Methods

| TextBlock (const String &_text, const RGBA &_topColour, const RGBA &_bottomColour)

## Public Attributes

String | text
RGBA | topColour
RGBA | bottomColour
uint | cntLines
uint | cntFaces
Real | begin
Real | end

## Constructor & Destructor Documentation

Ogre::TTYGuiElement::TextBlock::TextBlock | ( | const String & | _text,
|  | const RGBA & | _topColour,
|  | const RGBA & | _bottomColour
| ) |

| Definition at line 255 of file OgreTTYGuiElement.h. References Ogre::RGBA, and Ogre::String.

## Member Data Documentation

Real Ogre::TTYGuiElement::TextBlock::begin

| Definition at line 252 of file OgreTTYGuiElement.h. Referenced by Ogre::TTYGuiElement::updateTextGeometry().

RGBA Ogre::TTYGuiElement::TextBlock::bottomColour

| Definition at line 249 of file OgreTTYGuiElement.h.

uint Ogre::TTYGuiElement::TextBlock::cntFaces

| Definition at line 251 of file OgreTTYGuiElement.h. Referenced by Ogre::TTYGuiElement::updateTextGeometry().

uint Ogre::TTYGuiElement::TextBlock::cntLines

| Definition at line 250 of file OgreTTYGuiElement.h. Referenced by Ogre::TTYGuiElement::updateTextGeometry().

Real Ogre::TTYGuiElement::TextBlock::end

| Definition at line 253 of file OgreTTYGuiElement.h. Referenced by Ogre::TTYGuiElement::updateTextGeometry().

String Ogre::TTYGuiElement::TextBlock::text

| Definition at line 247 of file OgreTTYGuiElement.h. Referenced by Ogre::TTYGuiElement::updateTextGeometry().

RGBA Ogre::TTYGuiElement::TextBlock::topColour

| Definition at line 248 of file OgreTTYGuiElement.h.

The documentation for this struct was generated from the following file:

- OgreTTYGuiElement.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:29 2004